Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCPasswordMBean

public interface WTCPasswordMBean
extends ConfigurationMBean

This interface provides access to the WTC password configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getLocalAccessPoint()` Gets the localAccessPoint attribute of the WTCPasswordMBean object
`java.lang.String` | `getLocalPassword()` Gets the localPassword attribute of the WTCPasswordMBean object
`java.lang.String` | `getLocalPasswordIV()` Gets the localPasswordIV attribute of the WTCPasswordMBean object
`java.lang.String` | `getRemoteAccessPoint()` Gets the remoteAccessPoint attribute of the WTCPasswordMBean object
`java.lang.String` | `getRemotePassword()` Gets the remotePassword attribute of the WTCPasswordMBean object
`java.lang.String` | `getRemotePasswordIV()` Gets the remotePasswordIV attribute of the WTCPasswordMBean object
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the name of the local access point to which the password applies.
`void` | `setLocalPassword(java.lang.String LocalPasswd)` Defines the LocalPassword as returned from the `genpasswd` utility.
`void` | `setLocalPasswordIV(java.lang.String LocalIV)` Defines the initialization vector used to encrypt the local password.
`void` | `setRemoteAccessPoint(java.lang.String RemoteAccessPoint)` Defines the name of the remote access point to which the password applies.
`void` | `setRemotePassword(java.lang.String RemotePasswd)` Defines the RemotePassword as returned from the `genpasswd` utility.
`void` | `setRemotePasswordIV(java.lang.String RemoteIV)` Defines the initialization vector used to encrypt the remote password.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the name of the local access point to which the password applies.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local domain access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

  Gets the localAccessPoint attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The localAccessPoint value

### setRemoteAccessPoint

    public void setRemoteAccessPoint(java.lang.String RemoteAccessPoint)
                              throws javax.management.InvalidAttributeValueException

  Defines the name of the remote access point to which the password applies.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `RemoteAccessPoint` - the name for the remote domain access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemoteAccessPoint

    public java.lang.String getRemoteAccessPoint()

  Gets the remoteAccessPoint attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The remoteAccessPoint value

### setLocalPasswordIV

    public void setLocalPasswordIV(java.lang.String LocalIV)
                            throws javax.management.InvalidAttributeValueException

  Defines the initialization vector used to encrypt the local password.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalIV` - the encrypted local interface vector used by this object
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalPasswordIV

    public java.lang.String getLocalPasswordIV()

  Gets the localPasswordIV attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The localPasswordIV value

### setLocalPassword

    public void setLocalPassword(java.lang.String LocalPasswd)
                          throws javax.management.InvalidAttributeValueException

  Defines the LocalPassword as returned from the `genpasswd` utility. This password is used to authenticate connections between the local Tuxedo access point identified by LocalAccessPoint and the remote Tuxedo access point identified by RemoteAccessPoint.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `LocalPasswd` - the encrypted local password string
  Throws:
    javax.management.InvalidAttributeValueException -

### getLocalPassword

    public java.lang.String getLocalPassword()

  Gets the localPassword attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The localPassword value

### setRemotePasswordIV

    public void setRemotePasswordIV(java.lang.String RemoteIV)
                             throws javax.management.InvalidAttributeValueException

  Defines the initialization vector used to encrypt the remote password.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `RemoteIV` - encrypted remote interface vector used by this object
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemotePasswordIV

    public java.lang.String getRemotePasswordIV()

  Gets the remotePasswordIV attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The remotePasswordIV value

### setRemotePassword

    public void setRemotePassword(java.lang.String RemotePasswd)
                           throws javax.management.InvalidAttributeValueException

  Defines the RemotePassword as returned from the `genpasswd` utility. This password is used to authenticate connections between the local Tuxedo access point identified by LocalAccessPoint and the remote Tuxedo access point identified by RemoteAccessPoint.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `RemotePasswd` - the encrypted local password string
  Throws:
    javax.management.InvalidAttributeValueException -

### getRemotePassword

    public java.lang.String getRemotePassword()

  Gets the remotePassword attribute of the WTCPasswordMBean object

  A dynamic MBean attribute
  Returns:
    The remotePassword value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD